E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | List of all members
GSsl::MbedTls::ProtocolImp Class Reference

An implementation of the GSsl::ProtocolImpBase interface for mbedtls. More...

`#include <gssl_mbedtls.h>`

Inheritance diagram for GSsl::MbedTls::ProtocolImp:

## Public Types
typedef Protocol::Result | Result
typedef MbedTls::Context | Context
typedef MbedTls::Error | Error

## Public Member Functions
| ProtocolImp (const ProfileImp &, const std::string &, const std::string &)
virtual Result | connect (G::ReadWrite &) override
| Implements Protocol::connect().
virtual Result | accept (G::ReadWrite &) override
| Implements Protocol::accept().
virtual Result | read (char *buffer, size_t buffer_size_in, ssize_t &data_size_out) override
| Implements Protocol::read().
virtual Result | write (const char *buffer, size_t data_size_in, ssize_t &data_size_out) override
| Implements Protocol::write().
virtual Result | stop () override
| Implements Protocol::stop().
virtual std::string | peerCertificate () const override
| Implements Protocol::peerCertificate().
virtual std::string | peerCertificateChain () const override
| Implements Protocol::peerCertificateChain().
virtual bool | verified () const override
| Implements Protocol::verified().
std::string | protocol () const
std::string | cipher () const
const Profile & | profile () const
Public Member Functions inherited from GSsl::ProtocolImpBase
virtual | ~ProtocolImpBase ()
| Destructor.

## Static Public Member Functions
static int | doSend (void *, const unsigned char *, size_t)
static int | doRecv (void *, unsigned char *, size_t)
static int | doRecvTimeout (void *, unsigned char *, size_t, uint32_t)

## Detailed Description

An implementation of the GSsl::ProtocolImpBase interface for mbedtls.

Definition at line 286 of file gssl_mbedtls.h.

The documentation for this class was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gssl/gssl_mbedtls.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gssl/gssl_mbedtls.cpp